Box Stacking Problem | Dynamic Programming | LIS

Описание к видео Box Stacking Problem | Dynamic Programming | LIS

This video explains a very important dynamic programming interview problem which is the box stacking problem.This is a very famous problem which is based on the longest increasing subsequence.In this problem, we are required to pile up boxes one on top of the other so that you form the maximum height of box pile-up.I have first explained the problem using simple examples and then I have explained all the observations and constraints.This helps in building intuition to solve the problem.I have shown how this problem is a variation of longest increasing subsequence which is the same as the longest decreasing subsequence.I have also shown the dry run of the problem followed by code walk through at the end. CODE LINK is present below as usual. If you find any difficulty or have any query then do COMMENT below. PLEASE help our channel by SUBSCRIBING and LIKE our video if you found it helpful...CYA :)

========================================================================
Join this channel to get access to perks:
   / @techdose4u  

INSTAGRAM :   / surya.pratap.k  

SUPPORT OUR WORK:   / techdose  

LinkedIn:   / surya-pratap-kahar-47bb01168  

WEBSITE: https://techdose.co.in/

TELEGRAM Channel LINK: https://t.me/codewithTECHDOSE

TELEGRAM Group LINK: https://t.me/joinchat/SRVOIxWR4sRIVv5...
=======================================================================

CODE LINK: https://gist.github.com/SuryaPratapK/...
USEFUL VIDEOS:-
Longest Increasing Subsequence (LIS):    • Longest increasing subsequence  
Longest Common Subsequence:    • Longest common subsequence | Leetcode...  


#dp #lis #boxstacking

Комментарии

Информация по комментариям в разработке